#include <stdio.h>
#include <iostream>
using namespace std;
int main ()
{
freopen("WEIGHING.in","r",stdin);
int t;
cin >> t;
for (int i=0; i < t; i++)
{
	int n;
	cin >> n;
    if (n%2==0)
	{
		cout << n/2 << endl;
	}
	else
	{
		cout << (n-1)/2 << endl;
	}
}
}